/*
 * Class WEL_STANDARD_DIALOG_DISPATCHER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_535 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_535 [] = {0xFF01,1551,534,0xFFFF};
static const EIF_TYPE_INDEX egt_2_535 [] = {0xFF01,534,0xFFFF};
static const EIF_TYPE_INDEX egt_3_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_535 [] = {0xFF01,534,0xFFFF};
static const EIF_TYPE_INDEX egt_6_535 [] = {0xFF01,534,0xFFFF};
static const EIF_TYPE_INDEX egt_7_535 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_535 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_535 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_535 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_535 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_535 [] = {0xFF01,534,0xFFFF};


static const struct desc_info desc_535[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_535), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_535), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_535), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_535), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_535), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_535), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_535), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_535), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_535), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_535), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_535), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_535), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x042D /*534*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_535), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8455, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8459, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8460, 0xFFFFFFFF},
};
void Init535(void)
{
	IDSC(desc_535, 0, 534);
	IDSC(desc_535 + 1, 1, 534);
	IDSC(desc_535 + 32, 472, 534);
}


#ifdef __cplusplus
}
#endif
